Dlaczego nie działa skompilowany Docky?


(Jannagranna) #1

Skompilowałem Dockiego w Fedorze 15 i pojawia się taki błąd przy uruchamianiu

docky

[Info 07:30:34.846] Docky version: 2.2.0 bzr docky r1816

[Info 07:30:34.863] Kernel version: 2.6.40.4

[Info 07:30:34.863] CLR version: 2.0.50727.1433

Missing method get_System in assembly /usr/local/lib/docky/dbus-sharp-glib.dll, type DBus.Bus

[Fatal 07:30:34.895] DBus could not be found and is required by Docky. Exiting.

Jak to naprawić?


(Qba Lukaszczyk) #2

Eee...

su -

yum -i dbus

??

-- Dodane 12.08.2011 (Pt) 10:07 --

Docky nie jest w repo Fedory?

LoL. Jest takie jądro?


(Jannagranna) #3
Package 1:dbus-1.4.6-5.fc15.i686 already installed and latest version

Nothing to do

Docky z repo crashuje się pod każdym środowiskiem i rozwiązaniem ma być niby najnowsza wersja, którą trzeba skompilować.

uname -r

2.6.40-4.fc15.i686

:shock:


(Qba Lukaszczyk) #4

Poinstalowałeś wszystkie zależności?

Kompilowałeś sam jądro? Z serii 2.6 najnowsze jest 2.6.39.4.


(Jannagranna) #5

Nic nie grzebałem w jądrze, chyba, że instalacja virtualboxa coś pozmieniała.

Instalowałem zależności te co są w wiki docky oraz kilka brakujących z gita.


(Qba Lukaszczyk) #6

A może to nie jest ta najnowsza wersja? :stuck_out_tongue:

* bzr (>= 0.92)

* dbus-sharp-1.0

* dbus-sharp-glib-1.0

* gconf-2.0

* gconf-sharp-2.0

* gconftool-2

* gdk-2.0

* gdk-x11-2.0

* gio-sharp-2.0

* glib-2.0

* glib-sharp-2.0

* gobject-2.0

* gtk+-2.0

* gtk-sharp-2.0

* gnome-desktop-sharp-2.0

* gnome-keyring-sharp-1.0

* mono-addins, mono-addins-gui, mono-addins-setup

* mono-cairo

* notify-sharp

* libtool

* mono-gmcs

* rsvg-sharp-2.0

* wnck-sharp-1.0

su -c 'yum install mono-devel bzr bazaar automake intltool gcc\

    GConf2-devel gtk-sharp2-devel gnome-desktop-sharp-devel \

    gnome-keyring-sharp-devel mono-addins-devel dbus-sharp-devel\

    dbus--sharp-glib-devel gtk+extra-devel notify-sharp-devel'

O to Ci chodzi?